package main

import (
	"flag"
	"fmt"
	"os"

	"git.nobla.cn/golang/aeus/tools/gen/internal/generator"
	"git.nobla.cn/golang/aeus/tools/gen/internal/types"
)

var (
	packageFlag = flag.String("package", "", "package name")
)

func main() {
	flag.Parse()
	app := &types.Applicetion{
		Package: *packageFlag,
	}
	if err := generator.Geerate(app); err != nil {
		fmt.Println(err)
		os.Exit(1)
	}
}
